2013-04-27 03:02题主

什么时候支持Extjs 4.2

以为项目需要,其他地方还需要使用Extjs 4.2,试用了下用Extjs 4.2覆盖WB的Extjs,界面直接出不来了,跟踪了下,login的时候好像是:
    vcLabel.setVisible(f);
    .....
   username.setValue(f)
这些出错了,比如username.setValue(f),直接报错是没有方法:setValue

2013-04-27 09:07#1
ExtJS 4.1是比较稳定的版本,ExtJS4.2版本目前还有较多bug,没有必要更换。
WebBuilder对ExtJS 4.1作了不少bug和功能上的修正,比如对象变量的直接生成,就像上述代码:
vcLabel.setVisible(f);如果使用ExtJS 4.2就需改成 Ext.getCmp('vcLabel'.)setVisible(f);
ExtJS 在同一个大版本下的各子版本,都有不同程度的兼容性问题。
为了减少开发人员升级WebBuilder后对用户原有系统的改动,我们的策略是尽量减少ExtJS 4.X的升级改动次数,下一次升级WebBuilder采用的ExtJS将是ExtJS 4.X最后或最稳定的一个版本。

返回开发者社区